Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.models
Class XSCMBinOp

    java.lang.Object
      org.apache.xerces.impl.dtd.models.CMNode
          org.apache.xerces.impl.xs.models.XSCMBinOp

    public class XSCMBinOp

extends CMNode

Content model Bin-Op node.

Version:
  $Id: XSCMBinOp.java 476309 2006-11-17 20:49:31Z mrglavas $
Author:
  Neil Graham, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Constructor Summary
`XSCMBinOp(int type, CMNode leftNode, CMNode rightNode)`

Method Summary
`protected void` | `calcFirstPos(CMStateSet toSet)`
`protected void` | `calcLastPos(CMStateSet toSet)`
`boolean` | `isNullable()`

Methods inherited from class org.apache.xerces.impl.dtd.models.CMNode
`firstPos, lastPos, setMaxStates, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSCMBinOp

    public XSCMBinOp(int type,
                     CMNode leftNode,
                     CMNode rightNode)

Method Detail

### isNullable

    public boolean isNullable()

  Specified by:
    `isNullable` in class `CMNode`

### calcFirstPos

    protected void calcFirstPos(CMStateSet toSet)

  Specified by:
    `calcFirstPos` in class `CMNode`

### calcLastPos

    protected void calcLastPos(CMStateSet toSet)

  Specified by:
    `calcLastPos` in class `CMNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.